import React from "react";
import PropTypes from "prop-types";
import { makeStyles } from "@material-ui/core/styles";
import Accordion from "@material-ui/core/Accordion";
import AccordionSummary from "@material-ui/core/AccordionSummary";
import AccordionDetails from "@material-ui/core/AccordionDetails";
import Typography from "@material-ui/core/Typography";
import ExpandMoreIcon from "@material-ui/icons/ExpandMore";

const useStyles = makeStyles(theme => ({
  heading: {
    fontSize: theme.typography.pxToRem(15),
    fontWeight: theme.typography.fontWeightRegular
  }
}));

const MachinesList = ({ machines }) => {
  const classes = useStyles();

  return (
    <div>
      {machines.map(m => (
        <Accordion key={`machine-${m.machineId}`}>
          <AccordionSummary
            expandIcon={<ExpandMoreIcon />}
            id={`machine-${m.machineId}-summary`}
          >
            <Typography className={classes.heading}>{m.machineName}</Typography>
          </AccordionSummary>
          <AccordionDetails>
            <Typography>
              Lorem ipsum dolor sit amet, consectetur adipiscing elit.
              Suspendisse malesuada lacus ex, sit amet blandit leo lobortis
              eget.
            </Typography>
          </AccordionDetails>
        </Accordion>
      ))}
    </div>
  );
};

MachinesList.propTypes = {
  machines: PropTypes.array.isRequired
};

export default MachinesList;
