import React, { useContext, useEffect, useCallback } from "react";
import {
  ApplicationStateContext,
  ApplicationDispatchContext
} from "../../../state/ApplicationContexts";
import { readMachines } from "../api";
import NetworkComponent from "./NetworkComponent";

const NetworkContainer = () => {
  const state = useContext(ApplicationStateContext);
  const dispatchActions = useContext(ApplicationDispatchContext);

  const handleChange = prop => event => {
    dispatchActions.onNetworkChange(prop, event.target.value);
  };

  const handleReadMachines = useCallback(async () => {
    alert("rad");
    const machines = await readMachines();
    dispatchActions.onNetworkChange("machines", machines);
  }, [dispatchActions]);

  useEffect(() => {
    handleReadMachines();
  }, [handleReadMachines]);

  return (
    <NetworkComponent network={state.network} onPropertyChange={handleChange} />
  );
};

export default NetworkContainer;
